Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 04:25
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Apache 1.3.37 + modphp 4.4.4 for Puppy 2
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 31 Oct 2006, 16:52    Post_subject:  Apache 1.3.37 + modphp 4.4.4 for Puppy 2  

Apache 1.3 is a old, but small webserver.
Though there already is Apache 2, the version still is used by many professional hosters like the german Forum-Provider http://parsimony.net .

Download (1.3 MB, 8 MB extracted):
http://puppyfiles.org/dotpupsde/dotpups/Internet/Apache-1.3.37-Puppy-2/Apache-1.3.37-Puppy-2-only.pup

Requires this library, if you don't have it yet (420 kb, 1 MB extracted):
http://puppyfiles.org/dotpupsde/dotpups/Internet/Apache-1.3.37-Puppy-2/Libdb-4.4.so.pup

If you want to use it to run PHP-scripts, you also need Libphp (2.5 MB, 7 MB extracted):
http://puppyfiles.org/dotpupsde/dotpups/Internet/Apache-1.3.37-Puppy-2/Libphp4-for-Apache-1.1.37-and-dependencies.pup


If you need mysql, install it with gslapt, as the dotpups above were created from the Slackware packages:
http://www.murga-linux.com/puppy/viewtopic.php?t=11929
But I did not try that, to use MySQL it would be easier to use XAMPP (see replies to this message).
My Apache 1 dotpup primarily is intended only to give you a small PHP-capable webserver for simple scripts.

The PHP dotpup has only libphp, but not the CLI-version of PHP.
You can install the full Php 4.4.4 with gslapt, too.

Here is a list of all files in the PHP-dotpup, pay attention when it want to overwrite existing libraries (in a fresh Puppy 2.11 that does not happen, but maybe if you installedother packages).

Quote:

/etc/apache/mod_php.conf
lib
lib/libdb-4.2.so
lib/libdb-4.4.so
usr
usr/libexec
usr/libexec/apache
usr/libexec/apache/libphp4.so
usr/lib
usr/lib/sasl2
usr/lib/sasl2/libotp.la
usr/lib/sasl2/liblogin.so.2.0.22
usr/lib/sasl2/libsasldb.la
usr/lib/sasl2/libotp.so.2.0.22
usr/lib/sasl2/libplain.la
usr/lib/sasl2/liblogin.la
usr/lib/sasl2/libcrammd5.so.2.0.22
usr/lib/sasl2/libdigestmd5.la
usr/lib/sasl2/libcrammd5.la
usr/lib/sasl2/libplain.so.2.0.22
usr/lib/sasl2/libdigestmd5.so.2.0.22
usr/lib/sasl2/libsasldb.so.2.0.22
usr/lib/sasl2/libotp.so.2
usr/lib/sasl2/libdigestmd5.so.2
usr/lib/sasl2/libotp.so
usr/lib/sasl2/liblogin.so.2
usr/lib/sasl2/libsasldb.so
usr/lib/sasl2/libcrammd5.so.2
usr/lib/sasl2/libplain.so
usr/lib/sasl2/liblogin.so
usr/lib/sasl2/libsasldb.so.2
usr/lib/sasl2/libdigestmd5.so
usr/lib/sasl2/libcrammd5.so
usr/lib/sasl2/libplain.so.2
usr/lib/libmm.so
usr/lib/libmm.so.14
usr/lib/libmm.so.14.0.22
usr/lib/libsasl2.so
usr/lib/libsasl2.so.2
usr/lib/libsasl2.so.2.0.22
usr/lib/libmhash.so
usr/lib/libmhash.so.2
usr/lib/libmhash.so.2.0.0
usr/lib/libgmp.so
usr/lib/libgmp.so.3
usr/lib/libgmp.so.3.4.1
usr/lib/libldap-2.3.so.0
usr/lib/libldap-2.3.so.0.2.15
usr/lib/liblber-2.3.so.0
usr/lib/liblber-2.3.so.0.2.15
usr/bin
usr/bin/mm-config


To use PHP, you must edit /etc/apache/httpd.conf

Uncomment the line
#Include /etc/apache/mod_php.conf

Then restart apache:
apachectl stop
apachectl start

Type in your webbrowser:
http://localhost
and you should see the Apache welcome page.

The www folder is
/var/www/htdocs

Mark

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
Canadianpride

Joined: 09 Jun 2006
Posts: 78

PostPosted: Sun 03 Dec 2006, 14:35    Post_subject:  

Wow, Thanks MU. This is awesome I've been wanting to teach myself php for awhile but never had a server to try it on. One thing though.... I downloaded mysql gslapt but I don't understand how to install it. Anyone have any advice I don't really know what I'm doing.

Thanks
Matthew.
Back to top
View user's profile Send_private_message 
Canadianpride

Joined: 09 Jun 2006
Posts: 78

PostPosted: Mon 11 Dec 2006, 20:59    Post_subject:  

Hmmmm, No response. Well here's the problem. I installed mysql using gslapt. It said that the install worked by It doesn't seem to be working? Any help would be appreciated. I don't know anything about mysql really but I need it for something I'm working on. Any help would be appreciated.
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 11 Dec 2006, 21:26    Post_subject:  

One reason that I did not include mysql is, that I am (was) a "professional database-developer".
So I really hate fiddling with databases in my spare time, it can be quite timeconsuming to get the basic setup running, and often they are used for stuff that better would be solved with textfiles.
If you need mysql, run it from the console to set it up (you usually will have to create some tables and set up a password) or look for missing libraries, and consult a MySQL-manual with basic instructions (there are cheap books and tons of free documentation in the web).

You also could try http://www.mysql-admin.org/ , but I don't know if it supports the PHP-library of Apache 1.

If you need a simple solution, it might be wiser to use XAMPP, that includes Apache 2 and MySQL, and was announced in this forum, too.

Mark
Back to top
View user's profile Send_private_message Visit_website 
Canadianpride

Joined: 09 Jun 2006
Posts: 78

PostPosted: Tue 12 Dec 2006, 20:37    Post_subject:  

Alright. Thanks I'll try that. I had tried something like that call phpadmin after I tried installing mysql but it said it couldn't find mysql. Maybe I'll try XAMPP
Thanks
Back to top
View user's profile Send_private_message 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Tue 12 Dec 2006, 21:26    Post_subject:  

Xampp is very easy to install and run

go to:
http://www.apachefriends.org/en/xampp.html

download the Linux package ... unzip it in /opt ... or unzip it in any Linux file system, and symlink lampp to /opt/lampp ... and it should run

or there is a dotpup package that will download and install a slightly older version of Xampp
http://murga-linux.com/puppy/viewtopic.php?&t=5126
and the Xampp link should now be working in the dotpup downloader program
Back to top
View user's profile Send_private_message 
Canadianpride

Joined: 09 Jun 2006
Posts: 78

PostPosted: Thu 14 Dec 2006, 00:04    Post_subject:  

AHHHHH!!!!

I've tried to install xampp both ways. Apache always works fine and has php support. Unfortunately mysql never works, It says it can't connect to the database or something. Could it be something with my puppy? Maybe I'll try it with a clean install tomorrow.
Back to top
View user's profile Send_private_message 
debernardis


Joined: 12 Nov 2005
Posts: 180

PostPosted: Fri 30 Mar 2007, 05:04    Post_subject:  

Hi Mu and fellow puppy fans,
I have loaded the needed dotpups, edited /etc/apache/httpd.conf , but php seems not to work. Of course I am doing something wrong...

In my /var/www/cgi-bin directory I have a demo.php file which contains
Code:
<html>
 <head>
  <title>Test PHP</title>
 </head>
 <body>
 <?php echo "Hello World!<p>"; ?>
</body>
</html>


When I go to my browser and call http://127.0.0.1/cgi-bin/demo.php I get:
Quote:
Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@tree.slackware.lan and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Apache/1.3.37 Server at 127.0.0.1 Port 80


Thinking of a permissions problem, I chmodded it to 777 but still doesn't work.
Normal web pages seems to work well, as well as the test-cgi (a shell script) included in the apache package. Any hint?

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
Gekko


Joined: 22 Jul 2006
Posts: 445
Location: Sydney, New South Wales

PostPosted: Fri 30 Mar 2007, 05:50    Post_subject:  

does the file work as demo.html?
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 31 Mar 2007, 07:57    Post_subject:  

no, PHP-scripts are not CGI scripts.

A CGI-script can be written in any language like PHP, Basic or C. Most common is Perl.
But CGI-programs must send their own HTTP-headers.
In contrast, PHP-programs are usually associated to libphp.so, the Apache PHP-module.
These don't send the required headers, as the PHP-module sends own ones.

To use PHP-scripts, save them in:
/var/www/htdocs

I just tried yours as:
/var/www/htdocs/demo1.php

Then in your webbrowser enter the URL:
http://localhost/demo1.php

Works here.
Mark
Back to top
View user's profile Send_private_message Visit_website 
debernardis


Joined: 12 Nov 2005
Posts: 180

PostPosted: Sat 31 Mar 2007, 12:08    Post_subject:  

MU wrote:
To use PHP-scripts, save them in:
/var/www/htdocs


You're right Mu, thanks a lot Razz
Back to top
View user's profile Send_private_message Visit_website 
paullecorde


Joined: 17 Jun 2005
Posts: 62
Location: Lexington, KY USA

PostPosted: Sat 31 Mar 2007, 13:54    Post_subject:  

It think this apache app is a great idea. I am looking for a very small web server with php.

I am working with puppy 2.13. i installed the .pup, uncommented the mod_php line and started apachectl. i get this error message

"Syntax error on line 6 of /etc/apache/mod_php.conf:
Cannot load /usr/libexec/apache/libphp4.so into server: libgdbm.so.3: cannot open shared object file: No such file or directory
/usr/bin/apachectl start: httpd could not be started.

When I look in /usr/ libexec/apache/libphp4.so is there. I don't see libgdbm.so.3. Should it be in the same directory? Where can I download this file? Do you see any other things i could do to get this server with php to work?

Thanks for your help.

Paul
Back to top
View user's profile Send_private_message YIM 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 31 Mar 2007, 14:00    Post_subject:  

There is in Pupget/Petget a gdbm3.pet or gdbm3.tar.gz.
That should do it.
If not, I can make a dotpup.
Mark
Back to top
View user's profile Send_private_message Visit_website 
paullecorde


Joined: 17 Jun 2005
Posts: 62
Location: Lexington, KY USA

PostPosted: Sat 31 Mar 2007, 14:34    Post_subject:  

MU,

Thank you for responding so quickly.

I looked for the gdbm.3 file at:
http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pupget_packages-1/
and
at http://puppyfiles.org/dotpupsde/dotpups/
I also tried seaching this forum for it, but I haven't found it. Do you know other sites for .pet, .pup storage?

Thanks again.
Paul
Back to top
View user's profile Send_private_message YIM 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 31 Mar 2007, 14:40    Post_subject:  

sorry, it is this:
http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pupget_packages-1/gdbm-1.8.3.tar.gz

It includes:
gdbm-1.8.3/usr/lib/libgdbm.so.3
gdbm-1.8.3/usr/lib/libgdbm.so.3.0.0
gdbm-1.8.3/usr/lib/libgdbm_compat.so.3
gdbm-1.8.3/usr/lib/libgdbm_compat.so.3.0.0
Mark
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0830s ][ Queries: 12 (0.0041s) ][ GZIP on ]